Home | History | Annotate | Download | only in regression
      1 #!/bin/bash
      2 
      3 #
      4 # Copyright (c) International Business Machines  Corp., 2005
      5 # Author: Avantika Mathur (mathurav (at] us.ibm.com)
      6 #
      7 # This library is free software; you can redistribute it and/or
      8 # modify it under the terms of the GNU Lesser General Public
      9 # License as published by the Free Software Foundation; either
     10 # version 2.1 of the License, or (at your option) any later version.
     11 #
     12 # This library is distributed in the hope that it will be useful,
     13 # but WITHOUT ANY WARRANTY; without even the implied warranty of
     14 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     15 # Lesser General Public License for more details.
     16 #
     17 # You should have received a copy of the GNU Lesser General Public
     18 # License along with this library; if not, write to the Free Software
     19 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
     20 #
     21 
     22 SETS_DEFAULTS="${TCID=test01} ${TST_COUNT=1} ${TST_TOTAL=1}"
     23 declare -r TCID
     24 declare -r TST_COUNT
     25 declare -r TST_TOTAL
     26 export TCID TST_COUNT TST_TOTAL
     27 
     28 tst_resm TINFO "***************TEST01***************"
     29 tst_resm TINFO "regression: bind unshared directory to unshare mountpoint."
     30 tst_resm TINFO "************************************"
     31 
     32 . "${FS_BIND_ROOT}/bin/setup" || (tst_resm TWARN "Setup of regression/test01 failed" && tst_exit)
     33 export result=0
     34 
     35 
     36 
     37 trap 'ERR=$? ; ERR_MSG="caught error near: ${BASH_SOURCE[0]}:${FUNCNAME[0]}:${LINENO}:$_ (returned ${ERR})"; break' ERR
     38 
     39 while /bin/true ; do
     40 	# This loop is for error recovery purposes only
     41 
     42 
     43 
     44 	mkdir dir
     45 	mount --bind "$disk1" dir
     46 	check "$disk1" dir
     47 
     48 	break
     49 done
     50 trap 'ERR=$? ; tst_resm TWARN "regression/test01: caught error near: ${BASH_SOURCE[0]}:${FUNCNAME[0]}:${LINENO}:$_ (returned ${ERR})"' ERR
     51 if [ -n "${ERR_MSG}" ]; then
     52 	tst_resm TWARN "regression/test01: ${ERR_MSG}"
     53 	ERR_MSG=""
     54 	result=$ERR
     55 fi
     56 trap '' ERR
     57 {
     58 	umount dir
     59 
     60 	rm -rf dir
     61 	cleanup
     62 } >& /dev/null
     63 if [ $result -ne 0 ]
     64 then
     65 	tst_resm TFAIL "regression/test01: FAILED: regression: bind unshared directory to unshare mountpoint."
     66 	exit 1
     67 else
     68 	tst_resm TPASS "regression/test01: PASSED"
     69 	exit 0
     70 fi
     71 tst_exit
     72